Subject: Re: [multipathtcp] draft-boucadair-mptcp-plain-mode-06

From: <[email-masked]>
Date: Wed, 18 May 2016 06:28:25 +0000

Hi Ivan,

Apologies for the delay to answer this message. 

Please see inline.

Cheers,
Med

> -----Message d'origine-----
> De : Ivancic, William D. (GRC-LCA0) [mailto:[email-masked]]
> Envoyé : mardi 12 avril 2016 17:38
> À : BOUCADAIR Mohamed IMT/OLN; JACQUENET Christian IMT/OLN
> Cc : MultiPath WG
> Objet : draft-boucadair-mptcp-plain-mode-06
> 
> Mohamed and/or Christian,
> 
> Can you provide some clarification regarding the plain-mode draft?
> 
> I am interested in something like Multipath UDP and this draft appears to
> handle that architecture.  My question is, ³Are the MP-TCP subflows
> recombined such that the UDP datagram order is maintained coming out of
> the concentrator proxy?"

[Med] Yes. 

> 
> Also, will MP-TCP in plain-mode  make adjustments if a link goes down or a
> new link becomes available?

[Med] Yes, the plain mode relies on the full set of MPTCP features. Subflows are created/deleted based on local triggers, signals received from the concentrator, processing a packet (e.g., RST), etc. 

> 
> 
> The CPE and the Concentrator establish a set of MPTCP subflows.
>    These subflows are used to transport UDP datagrams that are
>    distributed among existent subflows.
> -------
> "TCP session tracking may not be enabled for the set of subflows
> that are dedicated to transport UDP traffic.²
> ------
> 
>   The establishment of these subflows is not conditioned by
>    the receipt of UDP packets; instead, these subflows are initiated
>    upon CPE reboot or when network conditions change (e.g., whenever a
>    new Concentrator is discovered or a new IP address is assigned to the
>    Concentrator).  Additional MPTCP connections may be established to
>    anticipate UDP traffic to be distributed among several paths.  The
>    maximum number of MPTCP connections that can be dedicated to UDP
>    traffic may be configured locally to the CPE and the Concentrator.
>    How this parameter is configured is implementation and deployment-
>    specific.

[Med] We are working on an updated version with more details.